Edits a single interval data reading. Duplicate timestamps are not allowed for readings on a given channel. If the reading being edited has the same timestamp as another reading on the same channel, this end point throws an error
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| readingId | Unique ID of the reading to edit | integer (int64) | Required |
Request Body
Reading
| Property | Description | Type |
|---|---|---|
| estimated | Indicates if the reading is estimated Required (defined) | boolean |
| note | A note pertaining to the reading Required (defined) | string |
| time | The date and time of the reading Required Required | string (date-time) |
| value | The reading’s value Required Required | number (double) |
Example Request Body
{ "estimated": false, "note": "string", "time": "2026-03-30", "value": 1.0
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Readings+Observation
| Property | Description | Type |
|---|---|---|
| estimated | Indicates if the reading is estimated Required (defined) | boolean |
| note | A note pertaining to the reading Required (defined) | string |
| observationId | The unique ID for the reading Required (defined) | integer (int64) |
| rawValue | The raw value of the reading (before multiplier or delta are applied) Required (defined) | number (double) |
| time | The date and time of the reading Required (defined) | string (date-time) |
| value | The raw or computed value of the reading Required (defined) | number (double) |
Example Response
{ "estimated": false, "note": "string", "observationId": 1, "rawValue": 1.0, "time": "2026-03-30", "value": 1.0
}